Skip to content

Google 地图 地点详情 API

prod-global
GET
/api/v1/google/maps/places
API 健康状态
健康 可用 受限 大多不可用 无数据
正在加载健康状态...

获取Google地图地点详情数据,包括联系信息和商家信息,用于丰富商家目录、查询地点详情和同步本地应用数据。

标签: Google 地图

请求参数

名称必填类型默认值说明
place_idstring唯一的Google地点ID。可通过Google地图搜索API获取。使用此参数或'data_id'。
data_idstring唯一的Google地图位置数据ID。使用此参数或'place_id'。
countrystringus设置目标国家代码(例如 'us'、'uk')以本地化结果。请参阅 Google 国家/地区

复制请求

bash
curl -X GET "https://api.justserpapi.com/api/v1/google/maps/places?place_id=YOUR_VALUE" \
  -H "X-API-Key: YOUR_API_KEY"
js
const res = await fetch("https://api.justserpapi.com/api/v1/google/maps/places?place_id=YOUR_VALUE", {
  headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);
python
import requests

url = "https://api.justserpapi.com/api/v1/google/maps/places"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
  "place_id": "YOUR_VALUE"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
php
<?php
$url = "https://api.justserpapi.com/api/v1/google/maps/places?place_id=YOUR_VALUE";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/maps/places?place_id=YOUR_VALUE", nil)
	req.Header.Set("X-API-Key", "YOUR_API_KEY")
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}

响应

正在加载最新响应示例...